Package org.jfree.layouting.input.style.parser

## Class StyleSheetFactory

- java.lang.Object
- - org.jfree.layouting.input.style.parser.StyleSheetFactory

- All Implemented Interfaces:
    `org.pentaho.reporting.libraries.resourceloader.ResourceFactory`

      public class StyleSheetFactory
      extends java.lang.Object
      implements org.pentaho.reporting.libraries.resourceloader.ResourceFactory

  Creation-Date: 12.04.2006, 15:25:39
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceFactory

      `CONFIG_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleSheetFactory​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.resourceloader.Resource` | `create​(org.pentaho.reporting.libraries.resourceloader.ResourceManager manager, org.pentaho.reporting.libraries.resourceloader.ResourceData data, org.pentaho.reporting.libraries.resourceloader.ResourceKey context)` |
    `java.lang.Class` | `getFactoryType​()` |
    `void` | `initializeDefaults​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleSheetFactory

          public StyleSheetFactory​()

  - ### Method Detail

    - #### create

          public org.pentaho.reporting.libraries.resourceloader.Resource create​(org.pentaho.reporting.libraries.resourceloader.ResourceManager manager,
                                                                                org.pentaho.reporting.libraries.resourceloader.ResourceData data,
                                                                                org.pentaho.reporting.libraries.resourceloader.ResourceKey context)
                                                                         throws org.pentaho.reporting.libraries.resourceloader.ResourceCreationException,
                                                                                org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException

      Specified by:
        `create` in interface `org.pentaho.reporting.libraries.resourceloader.ResourceFactory`
      Throws:
        `org.pentaho.reporting.libraries.resourceloader.ResourceCreationException`
        `org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException`

    - #### getFactoryType

          public java.lang.Class getFactoryType​()

      Specified by:
        `getFactoryType` in interface `org.pentaho.reporting.libraries.resourceloader.ResourceFactory`

    - #### initializeDefaults

          public void initializeDefaults​()

      Specified by:
        `initializeDefaults` in interface `org.pentaho.reporting.libraries.resourceloader.ResourceFactory`